Name:		yum-annyung
Version:	3.0.0
Release:	1%{?dist}
Summary:	Alias yum command with default configuration
Summary(ko):	Yum 기본 설정으로 실행하기 위한 yum alias

Group:		System Environment/AnNyung
License:	GPL
Source0:	yum.conf
Source1:	yum.sh
Source2:	yum.csh
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:	yum
BuildArch: noarch

%description
This package include yum default configuration and
yum alias command.

%prep

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/profile.d

%{__install} -m644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.def.conf
%{__install} -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/profile.d/yumc.sh
%{__install} -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/profile.d/yumc.csh

%ifarch ix86
cd %{buildroot}%{_sysconfdir}
perl -pe 's/exclude=\*\.i\*86[\s]//mg' yum.def.conf
cd -
%endif

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_sysconfdir}/yum.def.conf
%{_sysconfdir}/profile.d/yumc.*

%changelog
* Wed Oct 15 2014 JoungKyun.Kim <http://oops.org> 3.0.0-1%{?dist}
- for AnNyung 3
